<?php
$this->data['header'] = $this->t('{login:user_pass_header}');

if (strlen($this->data['username']) > 0) {
    $this->data['autofocus'] = 'password';
} else {
    $this->data['autofocus'] = 'username';
}
$this->includeAtTemplateBase('includes/header.php');
?>
    <div>
        <div class="container">
            <div class="row">
                <div class="col-md-12" style="margin-bottom: 40px;"><img class="mx-auto" src="/img/Anmelden.png" width="100%"></div>
            </div>
        </div>

<?php
if ($this->data['errorcode'] !== null) {
?>
    <div style="border-left: 1px solid #e8e8e8; border-bottom: 1px solid #e8e8e8; background: #f5f5f5">
        <img src="/<?php echo $this->data['baseurlpath']; ?>resources/icons/experience/gtk-dialog-error.48x48.png"
             class="float-l erroricon" style="margin: 15px" alt=""/>

        <h2><?php echo $this->t('{login:error_header}'); ?></h2>

        <p><strong>
        <?php
            echo htmlspecialchars(
                $this->t(
                    $this->data['errorcodes']['title'][$this->data['errorcode']],
                    $this->data['errorparams']
                )
            );
        ?>
        </strong></p>
        <p>
        <?php
            echo htmlspecialchars(
                $this->t(
                    $this->data['errorcodes']['descr'][$this->data['errorcode']],
                    $this->data['errorparams']
                )
            );
        ?>
        </p>
    </div>
<?php
}
?>

        <div class="login-clean" style="background-color: rgb(234,234,234);">
            <form method="post">
                <h2 class="sr-only">Login Form</h2>
                <div class="illustration"><img src="/img/M4_LAB_LOGO.png" width="130"></div>
		<?php if (strpos($_GET['AuthState'], 'admin') !== false) : ?>
                        <div class="form-group"><input id="username" class="form-control" type="text" name="username" placeholder="Administrator"></div>
                <?php else : ?>
                        <div class="form-group"><input id="username" class="form-control" type="email" name="username" placeholder="E-Mail-Adresse"></div>
                <?php endif; ?>
                <div class="form-group"><input id="password" class="form-control" type="password" name="password" placeholder="Passwort"></div><a class="text-right forgot" href="/account/forgotPwd">Passwort vergessen?</a>
                <div class="form-group"><button class="btn btn-primary btn-block" type="submit" style="background-color: #8a348b;"><strong>Anmelden</strong></button><a class="btn btn-primary btn-block" type="" style="background-color: rgb(234,234,234);color: rgb(0,0,0);" href="/account/registration"><strong>Neues Benutzerkonto anlegen</strong></a></div>
                <input type="hidden" id="processing_trans" value="<?php echo $this->t('{login:processing}'); ?>" />
                <?php
                foreach ($this->data['stateparams'] as $name => $value) {
                echo '<input type="hidden" name="'.htmlspecialchars($name).'" value="'.htmlspecialchars($value).'" />';
                }
                ?>
            </form>
        </div>
    </div>
<?php
if (!empty($this->data['links'])) {
    echo '<ul class="links" style="margin-top: 2em">';
    foreach ($this->data['links'] as $l) {
        echo '<li><a href="'.htmlspecialchars($l['href']).'">'.htmlspecialchars($this->t($l['text'])).'</a></li>';
    }
    echo '</ul>';
}

$this->includeAtTemplateBase('includes/footer.php');

